cc.funkemunky.api.tinyprotocol.api

## Class TinyProtocolHandler

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.TinyProtocolHandler

    public class TinyProtocolHandler
    extends java.lang.Object

### Field Summary

Fields
`boolean` `paused`

### Constructor Summary

Constructors
Constructor and Description
`TinyProtocolHandler()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ProtocolVersion` `getProtocolVersion(org.bukkit.entity.Player player)`
`java.lang.Object` `onPacketInAsync(org.bukkit.entity.Player sender, java.lang.Object packet)`
`java.lang.Object` `onPacketOutAsync(org.bukkit.entity.Player sender, java.lang.Object packet)`
`static void` `sendPacket(org.bukkit.entity.Player player, java.lang.Object packet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### paused

    public boolean paused

### Constructor Detail

#### TinyProtocolHandler

    public TinyProtocolHandler()

### Method Detail

#### sendPacket

    public static void sendPacket(org.bukkit.entity.Player player,
                                  java.lang.Object packet)

#### getProtocolVersion

    public static ProtocolVersion getProtocolVersion(org.bukkit.entity.Player player)

#### onPacketOutAsync

    public java.lang.Object onPacketOutAsync(org.bukkit.entity.Player sender,
                                             java.lang.Object packet)

#### onPacketInAsync

    public java.lang.Object onPacketInAsync(org.bukkit.entity.Player sender,
                                            java.lang.Object packet)